package cli

import (
	"flag"
	"fmt"
	"os"

	"github.com/Vomitblood/cspj-application/server/internal/config"
)

func GetFlags() {
	logDir := flag.String("l", "", "Path to the log directory")

	flag.Parse()

	// check if the -l flag is provided
	if flag.Lookup("l").Value.String() == "" {
		fmt.Println("Error: The -l flag (log directory) is required.")
		os.Exit(1)
	}

	// store the value in a globally accessible config package
	config.LogDirectory = *logDir
}
